<?PHP
//******************************* Lizenzbestimmungen *******************************//
//                                                                                  //
//  Der Quellcode dieses Forums ist urheberrechtlich geschtzt. Jede Weitergabe an  //
//  Dritte ist untersagt. nderungen am Quellcode drfen nur vorgenommen werden,    //
//  wenn Sie Inhaber einer Lizenz der Vollversion von www.disputa.de sind.          //
//                                                                                  //
//  Dieser Lizenzhinweis darf nicht entfernt werden.                                //
//                                                                                  //
//  (C) Constantin Fahl Web Service - info@cfws.de - www.cfws.de - www.disputa.de   //
//                                                                                  //
//**********************************************************************************//

require_once './include/init.php';

if (!((file_exists('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt')) && (is_numeric($_GET['board']))))
{
	$MSG_ERROR = $_TEXT['ERROR_TOPIC'];
	require './index.php';
	Exit;
}

$robots_index = true; 
require './include/page_top.php';

$_BOARD = IniLoad('./data/'.$_GET['board'].'/board.ini');
$_THEMA = IniLoad('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt.ini');
auth('auth_read');

$_THEMA['views']++;
IniSave('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt.ini', $_THEMA);

// New Posts
if (($_SESSION['new_posts_date'] <> '') && ($_SESSION['new_posts_date'] < $_THEMA['lastpost_date']))
{
	if (!IsInGroup($_SESSION['new_posts_seen'], $_GET['board'].'_'.$_GET['thema']))
	{
		$_SESSION['new_posts_board_'.$_GET['board']]--;
		AddToGroup($_SESSION['new_posts_seen'], $_GET['board'].'_'.$_GET['thema']);
		if ($_SESSION['new_posts_board_'.$_GET['board']] == 0) AddToGroup($_SESSION['new_posts_boards_seen'], $_GET['board']);
	}
}


// Last & Next Thread
$PREV['thema'] = '';
$PREV['title'] = '';
$PREV['date'] = 0;
$NEXT['thema'] = '';
$NEXT['title'] = '';
$NEXT['date'] = 100000000000000;

if ($_THEMA['pin']) $_THEMA['lastpost_date'] += 100000000000;

$list = LoadFileList('./data/'.$_GET['board'].'/', '.txt.ini');
foreach ($list as $item)
{
	$ini = IniLoad('./data/'.$_GET['board'].'/'.$item);
	if ($ini['pin']) $ini['lastpost_date'] += 100000000000;
	if ($ini['lastpost_date'] < $_THEMA['lastpost_date'])
	{
		if ($ini['lastpost_date'] > $PREV['date'])
		{
			$PREV['thema'] = str_replace('.txt.ini', '', $item);
			$PREV['title'] = $ini['title'];
			$PREV['date'] = $ini['lastpost_date'];
		}
	}
	else if ($ini['lastpost_date'] > $_THEMA['lastpost_date'])
	{
		if ($ini['lastpost_date'] < $NEXT['date'])
		{
			$NEXT['thema'] = str_replace('.txt.ini', '', $item);
			$NEXT['title'] = $ini['title'];
			$NEXT['date'] = $ini['lastpost_date'];
		}
	}
}

$data = FileLoad('./data/'.$_GET['board'].'/'.$_GET['thema'].'.txt');
$gesamt = count($data);

echo '
	<div id="content">
	<table class="main">
	<tr>
		<td class="tb" colspan="2" style="width:70%;"><a href="'.url('index.php').'">'.$_TEXT['FORUM'].'</a> &raquo; <a href='.url('board.php',$board).'>'.$_BOARD['title'].'</a> &raquo; '.$data[0][2].'</td>
		<td class="tb" style="width:auto; text-align:right;">
';

$items = 10;
$pages = ceil(($gesamt)/$items);
if ($_GET['page']=="last") $_GET['page']=$pages;
if ($_GET['page']>$pages) $_GET['page']=$pages;
if ($_GET['page']<1) $_GET['page']=1;
show_pages_($pages, $_GET['page'], 'thema.php', $_GET['board'], $_GET['thema']);

echo '
		</td>
	</tr>
	<tr>
		<td class="oben" colspan="2">
';
if ($_THEMA['lock']) 
{
	echo $_TEXT['LOCKED'];
} else
{
	echo '<a href='.url('post.php?do=beitragneu&board='.$_GET['board'].'&thema='.$_GET['thema']).'>'.$_TEXT['ANSWER'].'</a>';
}

echo '
		</td>
		<td class="oben" style="text-align:right;">
';

if ($NEXT['thema'].$PREV['thema'] <> '')
{
	echo ($NEXT['thema']<>''?'<a href="'.url('thema.php', $_GET['board'], $NEXT['thema']).'" title="'.$NEXT['title'].'"><img src="./styles/'.$_FORUM['settings_design_style'].'/images/back.png" /></a>':'<img src="./styles/'.$_FORUM['settings_design_style'].'/images/back2.png" />').' '.($PREV['thema']<>''?'<a href="'.url('thema.php', $_GET['board'], $PREV['thema']).'" title="'.$PREV['title'].'"><img src="./styles/'.$_FORUM['settings_design_style'].'/images/forward.png" /></a>':'<img src="./styles/'.$_FORUM['settings_design_style'].'/images/forward2.png" />');
}

echo '
		</td>
	</tr>
';

$von = ($_GET['page']-1)*$items;
$bis = $_GET['page']*$items;

if ($von<0) $von=0;
if ($bis>$gesamt) $bis=$gesamt;
$color="g";
for ($i=$von; $i<$bis; $i++)
{

$user = $data[$i][1];

echo '
	<tr>
		<td class="'.$color.'" valign="top" width="20%" colspan="1">'.ftime($data[$i][0]).'<br><b>'.user($user).'</b>
';
if (file_exists('./data/user/'.$user.'.usr.ini'))
{
	$udat = IniLoad('./data/user/'.$user.'.usr.ini');
	if ($udat['avatar'] <> '') echo '<br /><br /><img src="'.$udat['avatar'].'" border="0" alt="">';
}
else
{
	echo '<br /><sup>'.$_TEXT['NOT_REGISTERED'].'</sup>';
}
echo "<br /><br />";

if (!$_THEMA['lock']) 
{
	echo '<a href="'.url('post.php?do=beitragneu&board='.$_GET['board'].'&thema='.$_GET['thema'].'&beitrag='.$i).'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_answer.png" border="0" alt="'.$_TEXT['ANSWER'].'" title="'.$_TEXT['ANSWER'].'"></a>';
	if (($_SESSION['Benutzername'] == $data[$i][1]) || (IsMod($_GET['board'],$_SESSION['Benutzername']) && $_FORUM['settings_admin_edit'])) 
	{
		echo '<a href="'.url('post.php?do=edit&board='.$_GET['board'].'&thema='.$_GET['thema'].'&beitrag='.$i).'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_edit.png" border="0" alt="'.$_TEXT['EDIT'].'" title="'.$_TEXT['EDIT'].'"></a>';
	}
	if (($_SESSION['Benutzername'] <> '') && ($i == 0))
	{
		if (IsInGroup($_THEMA['notification'], $_SESSION['Benutzername']))
		{
			echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=notificationoff').'"><img src="./styles/'.$_FORUM['settings_design_style'].'/images/btn_notification_on.png" border="0" alt="'.$_TEXT['NOTIFICATION_OFF'].'" title="'.$_TEXT['NOTIFICATION_OFF'].'"></a>';
		}
		else
		{
			echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=notification').'"><img src="./styles/'.$_FORUM['settings_design_style'].'/images/btn_notification_off.png" border="0" alt="'.$_TEXT['NOTIFICATION_ON'].'" title="'.$_TEXT['NOTIFICATION_ON'].'"></a>';
		}
	}
}

if (IsMod($_GET['board'],$_SESSION['Benutzername']))
{
	if ($i == 0)
	{
		if ($_THEMA['lock'])
			{echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=unlock').'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_lock_on.png" border="0" alt="'.$_TEXT['UNLOCK'].'" title="'.$_TEXT['UNLOCK'].'"></a>';}
		else
			{echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=lock').'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_lock_off.png" border="0" alt="'.$_TEXT['LOCK'].'" title="'.$_TEXT['LOCK'].'"></a>';}

		if ($_THEMA['pin'])
			{echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=unpin').'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_pin_on.png" border="0" alt="'.$_TEXT['UNPIN'].'" title="'.$_TEXT['UNPIN'].'"></a>';}
		else
			{echo '<a href="'.url('do.php?board='.$_GET['board'].'&thema='.$_GET['thema'].'&do=pin').'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_pin_off.png" border="0" alt="'.$_TEXT['PIN'].'" title="'.$_TEXT['PIN'].'"></a>';}

		echo '<a href='.url('do_move.php?board='.$_GET['board'].'&thema='.$_GET['thema']).'><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_move.png" border="0" alt="'.$_TEXT['MOVE'].'" title="'.$_TEXT['MOVE'].'"></a>';
	}
	echo '<a href="'.url('do.php?do=del&board='.$_GET['board'].'&thema='.$_GET['thema'].'&beitrag='.$i).'"><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_delete.png" border="0" alt="'.$_TEXT['DELETE'].'" title="'.$_TEXT['DELETE'].'"></a>'.(file_exists('./multidelete.php')?'<small><br />[<a href="'.url('multidelete.php').'">multidelete</a>]</small>':'');
	if (($data[$i][4]<>'') && (strlen($data[$i][4])>4))
		echo '<br /><br /><img src="styles/'.$_FORUM['settings_design_style'].'/images/btn_ip.png" border="0" alt="IP: '.$data[$i][4].'" title="IP: '.$data[$i][4].'" />';
}


$data[$i][3] = preg_replace("/\[php\](.*?)\[\/php\]/esiU", "bb_php_string('$1')", $data[$i][3]);

echo '
		</td>
		<td class="'.$color.' valign="top" style="vertical-align:top;" width="80%" colspan="2"><a name='.$i.'></a><b>'.$data[$i][2].'</b><p>'.$data[$i][3].'</p></td>
	</tr>
';

$color = ($color=='w'?'g':'w');
}


if ($_THEMA['lock']) 
{
	echo '
		<tr>
			<td class="'.$class.'">'.ftime($_THEMA['lock_time']).'</td>
			<td class="'.$class.'" colspan="2">'.$_TEXT['LOCKED_BY'].' '.user($_THEMA['lock_user']).'</td>
		</tr>
	';
}




echo '
		<tr>
			<td class="tb" colspan="2">
';
			if ($_THEMA['lock']) 
			{
				echo $_TEXT['LOCKED'];
			} 
			else
			{
				echo '<a href='.url('post.php?do=beitragneu&board='.$_GET['board'].'&thema='.$_GET['thema']).'>'.$_TEXT['ANSWER'].'</a>';
			}
echo '
			</td>
			<td class="tb" style="text-align:right;">
';
			show_pages_($pages, $_GET['page'], 'thema.php', $_GET['board'], $_GET['thema']);
echo '
			</td>
		</tr>
	</table>
	</div>
';

if (($_FORUM['settings_directanswer']) && (!$_THEMA['lock']) && auth('auth_answere', false))
{
	$_GET['do'] = 'beitragneu';
	$_GET['beitrag'] = '';
	require './post.php';
}
require_once './include/page_bottom.php';
?>